@echo OFF

set projectDir=%~1
set logFileFolder=%~2
set logFileName=GenNet.log

echo Running script... > %logFileFolder%\%logFileName%
echo done:: projectDir = %projectDir% >> %logFileFolder%\%logFileName%
echo done:: logFileFolder = %logFileFolder% >> %logFileFolder%\%logFileName%

set Libraries=ONVINYL_EXE:OnVinylUX.dll 
echo doing:: Libraries=%Libraries%  >> %logFileFolder%\%logFileName%

echo The project director is set to %projectDir% >> %logFileFolder%\%logFileName%

echo doing:: C:\Program Files\Synergex\SynergyDE\dbl\dblvars64.bat >> %logFileFolder%\%logFileName%
call "C:\Program Files\Synergex\SynergyDE\dbl\dblvars64.bat"

echo doing:: Checking existance of "%projectDir%\OnVinylNET.inc" >> %logFileFolder%\%logFileName%
IF EXIST "%projectDir%\OnVinyl.inc". (
    echo doing:: attrib -r "%projectDir%\OnVinylNET.inc" >> %logFileFolder%\%logFileName%
    attrib -r "%projectDir%\OnVinylNET.inc"

	echo doing:: del /Q/F "%projectDir%\OnVinylNET.inc" >> %logFileFolder%\%logFileName%
	del /Q/F "%projectDir%\OnVinylNET.inc"

	echo doing:: del /Q/F "%projectDir%\OnVinylNET*.dbl" >> %logFileFolder%\%logFileName%
	del /Q/F "%projectDir%\OnVinylNET*.dbl"
)

echo doing:: "%SYNERGYDE%\dbl\bin\gennet40.exe" -o "%projectDir%\OnVinylNET" -log "%TEMP%\OnVinyl.log" %Libraries% >> %logFileFolder%\%logFileName%
"%SYNERGYDE%\dbl\bin\gennet40.exe" -o "%projectDir%\OnVinylNET" -log "%TEMP%\OnVinyl.log" %Libraries%

IF %ERRORLEVEL% NEQ 0 (
  echo Failed:: "%SYNERGYDE%\dbl\bin\gennet40.exe" -o "%projectDir%\OnVinylNET" -log "%TEMP%\OnVinyl.log" %Libraries% error code %ERRORLEVEL% >> %logFileFolder%\%logFileName%
  goto theEnd
)
IF %ERRORLEVEL% EQU 0 (
  echo Completed:: "%SYNERGYDE%\dbl\bin\gennet40.exe" -o "%projectDir%\OnVinylNET" -log "%TEMP%\OnVinyl.log" %Libraries% >> %logFileFolder%\%logFileName%
)

echo Completed script >> %logFileFolder%\%logFileName%

goto theEnd

:theEnd


